
Flourish - Bug #5265

CORRECT NAME ON CONSENT FOR CHILD PARTICIPANT B142-040990095-7

24/06/2021 14:15 - Keolebogile Nicholas Mmasa

Status: Closed Start date: 24/06/2021

Priority: Immediate Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Kindly correct the names on the consent fro child participation from GALEBOLOKANE MUNAMATI Ato TADIWA VANNESSA

MUNAMATI

History

#1 - 24/06/2021 14:33 - Itumeleng Mosweu

- Status changed from New to Resolved

#2 - 28/06/2021 13:01 - Pearl Maano

- Status changed from Resolved to Closed
